0 Пользователей и 1 Гость просматривают эту тему.
  • 7 Ответов
  • 1894 Просмотров
*

glunast

  • Новичок
  • 5
  • 0 / 0
Подскажите, кто может. После обновления Joomla с версии 1,5,15 на 1,5,26 не могу ни добавлять, ни исправлять материалы. Пишет JHTMLContent::legend not supported. Поискала в интернете почему такое может быть и не нашла. Если кто сталкивался с этим, подскажите, что, как и где исправить. Спасибо.
*

glunast

  • Новичок
  • 5
  • 0 / 0
Я догадываюсь, что проблема в файле libraries/joomla/html/html/content.php Но вот в чем именно ошибка... На просторах интернета, я прочитала, что этот файл нужно поменять на оригинал, а что это значит... И где взять оригинал?
*

gray

  • Захожу иногда
  • 58
  • 1 / 0
Возьмите полный архив 1.5.26 отсюда и замените файлы на сервере (для начала только из папки administrator/components/com_content) на новые из скаченного архива.
*

glunast

  • Новичок
  • 5
  • 0 / 0
Админка стала на английском, но надпись JHTMLContent::legend not supported исчезла. Хотя исправления в материалах не проходят и новый не добавляется.
*

gray

  • Захожу иногда
  • 58
  • 1 / 0
Копирование файлов в одну папку  administrator/components/com_content привело к переключению языка админки?
*

glunast

  • Новичок
  • 5
  • 0 / 0
нет. копирование одной папки ни к чему не привело, а полная закачка новой версии привела к такому результату.
*

gray

  • Захожу иногда
  • 58
  • 1 / 0
Мало информации, но попробуйте в файле  libraries\joomla\html\editor.php

Код
// Try to authenticate -- only add to array if authentication is successful
$resultTest = $plugin->onDisplay($editor);

заменить на

Код
// Try to authenticate -- only add to array if authentication is successful
if (method_exists($plugin, 'onDisplay')) {
 $result[] = $plugin->onDisplay($editor);
}
*

glunast

  • Новичок
  • 5
  • 0 / 0
После обновления версии 1.5.26 у меня нормально заработала админка, но в браузере IE, а в Google Сhrome...
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться